# Create or update a site **PUT /eTech/rest/ws/referentials/v1/sites/code:{siteCode}** Creates a new site if the `siteCode` provided does not exist, else updates the existing site. Rate limit range : Standard ## Servers - The node of your Praxedo instance (eu1, am1...).: https://ws-eu1.praxedo.com (The node of your Praxedo instance (eu1, am1...).) ## Authentication methods - Bearer authentication ## Parameters ### Path parameters - **siteCode** (string) Requested site code, case insensitive. ### Body: application/json (object) - **name** (string) Site name. - **customerCode** (string) Related customer code. Case insensitive. - **parentSiteCode** (string | null) Parent site code if any. Case insensitive. - **officeCode** (string) Site office code. Case insensitive. - **contact** (object | null) - **location** (object) - **description** (string | null) Site description if any. - **customFields** (object) Map of custom fields of a site. ## Responses ### 201 Site created. ### 204 Site updated. ### 400 Bad Request - validation errors #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 401 Unauthorized - authentication issue. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 403 Forbidden - not enough rights. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 429 Too Many Requests. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 500 Internal server error. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. [Powered by Bump.sh](https://bump.sh)